package com.steerinfo.dil.controller;
import com.steerinfo.dil.service.ITmstruckTimeTaskResultService;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.framework.controller.RESTfulResult;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * TmstruckTimeTskResult RESTful接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-22 07:28
 * 类描述
 * 修订历史：
 * 日期：2021-10-22
 * 作者：generator
 * 参考：
 * 描述：TmstruckTimeTskResult RESTful接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@RestController
@RequestMapping("/${api.version}/tmstrucktimetaskresults")
public class TmstruckTimeTaskResultController extends BaseRESTfulController {

    @Autowired
    ITmstruckTimeTaskResultService tmstruckTimeTaskResultService;

    @ApiOperation(value="司机申请开始")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "运输订单号", required = false, dataType = "Map"),
    })
    @PostMapping("/applyStartTime")
    public RESTfulResult applyStartTime(@RequestBody(required=false) Map<String,Object> mapValue){
        int i = tmstruckTimeTaskResultService.applyStartTime(mapValue);
        return success(i);
    }

    @ApiOperation(value="用车单位确认开始")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "运输订单号", required = false, dataType = "Map"),
    })
    @PostMapping("/unitSureStartTime")
    public RESTfulResult unitSureStartTime(@RequestBody(required=false) Map<String,Object> mapValue){
        int i = tmstruckTimeTaskResultService.unitSureStartTime(mapValue);
        return success(i);
    }

    @ApiOperation(value="司机申请暂停开始")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "运输订单号", required = false, dataType = "Map"),
    })
    @PostMapping("/applyStartTimeout")
    public RESTfulResult applyStartTimeout(@RequestBody(required=false) Map<String,Object> mapValue){
        int i = tmstruckTimeTaskResultService.applyStartTimeout(mapValue);
        return success(i);
    }

    @ApiOperation(value="用车单位确认暂停申请开始")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "运输订单号", required = false, dataType = "Map"),
    })
    @PostMapping("/unitSureStartTimeout")
    public RESTfulResult unitSureStartTimeout(@RequestBody(required=false) Map<String,Object> mapValue){
        int i = tmstruckTimeTaskResultService.unitSureStartTimeout(mapValue);
        return success(i);
    }

    @ApiOperation(value="司机申请暂停结束")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "运输订单号", required = false, dataType = "Map"),
    })
    @PostMapping("/applyEndTimeout")
    public RESTfulResult applyEndTimeout(@RequestBody(required=false) Map<String,Object> mapValue){
        int i = tmstruckTimeTaskResultService.applyEndTimeout(mapValue);
        return success(i);
    }

    @ApiOperation(value="用车单位确认暂停结束")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "运输订单号", required = false, dataType = "Map"),
    })
    @PostMapping("/unitSureEndTimeout")
    public RESTfulResult unitSureEndTimeout(@RequestBody(required=false) Map<String,Object> mapValue){
        int i = tmstruckTimeTaskResultService.unitSureEndTimeout(mapValue);
        return success(i);
    }

    @ApiOperation(value="司机申请结束")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "运输订单号", required = false, dataType = "Map"),
    })
    @PostMapping("/applyEndTime")
    public RESTfulResult applyEndTime(@RequestBody(required=false) Map<String,Object> mapValue){
        int i = tmstruckTimeTaskResultService.applyEndTime(mapValue);
        return success(i);
    }

    @ApiOperation(value="用车单位确认结束")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "mapValue", value = "运输订单号", required = false, dataType = "Map"),
    })
    @PostMapping("/unitSureEndTime")
    public RESTfulResult unitSureEndTime(@RequestBody(required=false) Map<String,Object> mapValue){
        int i = tmstruckTimeTaskResultService.unitSureEndTime(mapValue);
        return success(i);
    }

}
