package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.TmstruckLoadResult;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface TmstruckLoadResultMapper extends IBaseMapper<TmstruckLoadResult, BigDecimal> {
    //查询采购装车实绩
    List<Map<String, Object>> getCGJKLoadResult(Map<String, Object> map);

    //查询销售装车实绩
    List<Map<String, Object>> getXSLoadResult(Map<String, Object> map);

    //查询最大ID值
    @Select("select seq_tmstruck_load_result.nextval from dual")
    BigDecimal selectMaxId();

    //通过Id获取装车实绩 数据 用于修改
    List<Map<String, Object>> getLoadResultById(Integer resultId);

    //通过发站ID查询所属港口ID
    BigDecimal getPortIdBySendStationId(BigDecimal sendStationId);

    //通过订单ID查询批次ID
    BigDecimal getBatchIdByOrderId(BigDecimal orderId);

    //通过订单Id查询装车实绩Id  一个订单可能会有多个装车实绩
    Integer getLoadResultIdList(Map<String, Object> map);

    //根据运输订单号查找运输订单类型
    Integer selectOrderTypeByOrderNumber(String oderNumber);

    //根据运输订单号查找扫描实绩id
    List<Integer>  selectResultIdByOrderNumber(String orderNumber);

    //根据实绩id查找扫描时间
    Map selectLoadTimeByResultId(Integer resultId);

    //根据实绩id查找扫描时间
    Integer selecLoadIdByresultId(Integer resultId);

    //销售查询所有的装车实绩
    List<Map<String,Object>> selectLoadResultForSale(Map<String,Object> map);

    //根据运输订单号查找物资id
    List<Map<String,Object>> selectMaterialIdByOrderNumber(Map<String, Object> map);
    //内转物流汽车装货展示
    List<Map<String,Object>> selectLoadResultForConverted(Map<String,Object> map);

    //通过实绩id渲染数据
    List<Map<String,Object>> selectLoadResultByResultId(Integer resultId);

    //通过车牌号查找物资id和运力id以及总实绩id
    Map<String,Object> selectMaterialIdAndCapacityId(String  capacityNumber);

    //根据运输订单号查找装车实绩
    Map<String,Object> selectLoadResultIdByOrderNumber(String orderNumber);

    //通过用户id查找用户姓名
    String selectPersonNameByPersonnelId(Integer personnelId);

    //通过物资id查找物资类型
    Integer selectMaterialTypeByMaterialId(Integer materialId);

    //通过港口ID查询仓库表中的港存库ID
    BigDecimal getWarehouseIdByPortId(BigDecimal portId);
}